%global theme adaptivetheme

Name:          drupal7-theme-%{theme}
Version:       3.4
Release:       2%{?dist}
Summary:       Adaptivetheme is a powerful theme framework

Group:         Applications/Publishing
# Licenses:
# - GPLv2+
#     - Drupal adaptivetheme theme itself
# - MIT
#     - at_core/scripts/onmediaquery.js (bundled)
# - MIT or BSD
#     - at_core/scripts/matchMedia.js (bundled)
#     - at_core/scripts/matchMedia.addListener.js (bundled)
# - MIT or GPL+
#     - at_core/scripts/outside-events.js (bundled)
# - MIT or GPLv2
#     - at_core/scripts/html5.js (bundled)
#     - at_core/scripts/scalefix.js
# - (MIT or GPLv2) and (MIT or BSD)
#     - at_core/scripts/respond.js (bundled)
License:       GPLv2+ and MIT and (MIT or BSD) and (MIT or GPL+) and (MIT or GPLv2)
URL:           http://drupal.org/project/%{theme}
Source0:       http://ftp.drupal.org/files/projects/%{theme}-7.x-%{version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: drupal7-rpmbuild >= 7.23-3

# phpcompatinfo (computed from version 3.4)
Requires:      php-date
Requires:      php-filter
Requires:      php-pcre

# drupal7-{PROJECT}
Provides:      drupal7-%{theme} = %{version}-%{release}

# Bundled
## at_core/scripts/html5.js
###     License: MIT or GPLv2
###     Upstream: https://github.com/aFarkas/html5shiv
Provides:      bundled(js-html5shiv) = 3.7.2
## at_core/scripts/matchMedia.js
## at_core/scripts/matchMedia.addListener.js
###     License: MIT or BSD
###     Upstream: https://github.com/paulirish/matchMedia.js/
Provides:      bundled(js-matchMedia)
## at_core/scripts/onmediaquery.js
###     License: MIT
###     Upstream: https://github.com/JoshBarr/js-media-queries
Provides:      bundled(js-onMediaQuery)
## at_core/scripts/outside-events.js
###     License: MIT or GPL
###     Upstream: http://benalman.com/projects/jquery-outside-events-plugin/
Provides:      bundled(js-jquery-outside-events) = 1.1
## at_core/scripts/respond.js
###     License: (MIT or GPLv2) and (MIT or BSD)
###     Upstream: https://github.com/scottjehl/Respond
Provides:      bundled(js-respond) = 1.1.0
## at_core/scripts/scalefix.js
###     License: MIT or GPLv2
###     Upstream: https://github.com/scottjehl/iOS-Orientationchange-Fix
Provides:      bundled(js-iOS-Orientationchange-Fix)


%description
Adaptivetheme is a powerful theme framework with smoking hot support
for mobile and tablet devices using responsive design techniques.


%prep
%setup -q -n %{theme}

: Remove git files
find . -type f -name '.git*' | xargs rm -f

: Licenses and docs
mkdir -p .rpm/{licenses,docs}
mv LICENSE.txt .rpm/licenses/
mv *.txt .rpm/docs/
for README in $(find . -type f -name '_README.txt')
do
    README_DIRNAME=$(dirname $README)
    mkdir -p .rpm/docs/${README_DIRNAME}
    mv $README .rpm/docs/${README_DIRNAME}/
done


%build
# Empty build section, nothing to build


%install
rm -rf %{buildroot}
mkdir -p  %{buildroot}%{drupal7_themes}/%{theme}
cp -pr * %{buildroot}%{drupal7_themes}/%{theme}/


%clean
rm -rf %{buildroot}


%files
%{!?_licensedir:%global license %%doc}
%license .rpm/licenses/*
%doc .rpm/docs/*
%{drupal7_themes}/%{theme}


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Aug 08 2016 Shawn Iwinski <shawn.iwinski@gmail.com> - 3.4-1
- Updated to 3.4 (RHBZ #1354480)
- Changed license from "GPLv2+" to "GPLv2+ and MIT and (MIT or BSD) and (MIT or GPL+) and (MIT or GPLv2)"
  per bundled libs
- Spec cleanup
- Added drupal7-{PROJECT} virtual provide
- Added bundled virtual provides

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 28 2013 Peter Borsa <peter.borsa@gmail.com> - 3.1-1
- Updated to 3.1

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Aug 10 2012 Peter Borsa <peter.borsa@gmail.com> - 3.0-1
- Updated to 3.0

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 29 2012 Peter Borsa <peter.borsa@gmail.com> - 2.2-1
- Updated to 2.2.

* Sun Feb  5 2012 Peter Borsa <peter.borsa@gmail.com> - 2.1-1
- Initial packaging.
